Config.DiskOptimizationStrategy (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.config

## Enum Config.DiskOptimizationStrategy

- java.lang.Object
- - java.lang.Enum<Config.DiskOptimizationStrategy>
  - - org.apache.cassandra.config.Config.DiskOptimizationStrategy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Config.DiskOptimizationStrategy>
  Enclosing class:
    Config

      public static enum Config.DiskOptimizationStrategy
      extends java.lang.Enum<Config.DiskOptimizationStrategy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `spinning`
    `ssd`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Config.DiskOptimizationStrategy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Config.DiskOptimizationStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ssd

          public static final Config.DiskOptimizationStrategy ssd

    - #### spinning

          public static final Config.DiskOptimizationStrategy spinning

  - ### Method Detail

    - #### values

          public static Config.DiskOptimizationStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Config.DiskOptimizationStrategy c : Config.DiskOptimizationStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Config.DiskOptimizationStrategy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation